Page MenuHomePhabricator

Replace LinksUpdate Revision methods with RevisionRecord
Closed, ResolvedPublic

Description

LinksUpdate::setRevision and LinksUpdate::getRevision need to be replaced

They get and set LinksUpdate::$mRevision, which is otherwise unused (i.e. are only needed to pass Revision information along with the LinksUpdate)

I propose a new LinksUpdate::setRevisionRecord and LinksUpdate::getRevisionRecord be implemented instead

All known calls to getRevision (none in core; all of the calls are deployed on WMF production):

  • Echo - EchoHooks::onLinksUpdateAfterInsert
  • PageTriage - ArticleCompileInterface::getContentByPageId
  • PageTriage - ArticleCompileProcessor::getLastEditTimestamp
  • EventBus - EventBusHooks::onLinksUpdateComplete
  • PageImages - LinksUpdateHookHandler::getPageImageCandidates

Only 1 known call to setRevision:

  • Core - RefreshSecondaryDataUpdate::doUpdate

Event Timeline

DannyS712 created this task.Apr 4 2020, 2:29 AM
Restricted Application added projects: Growth-Team, Analytics. · View Herald TranscriptApr 4 2020, 2:29 AM
DannyS712 triaged this task as Medium priority.Apr 4 2020, 2:30 AM
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 585849 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add LinksUpdate RevisionRecord methods

https://gerrit.wikimedia.org/r/585849

Milimetric moved this task from Incoming to Radar on the Analytics board.Apr 6 2020, 4:16 PM

Change 585849 merged by jenkins-bot:
[mediawiki/core@master] Add LinksUpdate RevisionRecord methods

https://gerrit.wikimedia.org/r/585849

Change 587385 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageImages@master] Use LinksUpdate::getRevisionRecord in MW 1.35+

https://gerrit.wikimedia.org/r/587385

Change 587387 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Use LinksUpdate::getRevisionRecord

https://gerrit.wikimedia.org/r/587387

Change 587387 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Use LinksUpdate::getRevisionRecord

https://gerrit.wikimedia.org/r/587387

Change 587385 merged by jenkins-bot:
[mediawiki/extensions/PageImages@master] Use LinksUpdate::getRevisionRecord in MW 1.35+

https://gerrit.wikimedia.org/r/587385

DannyS712 updated the task description. (Show Details)Apr 8 2020, 2:24 AM

Change 587391 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/EventBus@master] Use LinksUpdate::getRevisionRecord

https://gerrit.wikimedia.org/r/587391

Change 587392 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Echo@master] Use LinksUpdate::getRevisionRecord

https://gerrit.wikimedia.org/r/587392

Change 587391 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Use LinksUpdate::getRevisionRecord

https://gerrit.wikimedia.org/r/587391

DannyS712 updated the task description. (Show Details)Apr 8 2020, 2:44 AM

Change 587392 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Use LinksUpdate::getRevisionRecord

https://gerrit.wikimedia.org/r/587392

DannyS712 updated the task description. (Show Details)Apr 8 2020, 6:34 AM

Change 587425 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace uses and hard deprecate LinksUpdate revision methods

https://gerrit.wikimedia.org/r/587425

Change 587425 merged by jenkins-bot:
[mediawiki/core@master] Replace uses and hard deprecate LinksUpdate revision methods

https://gerrit.wikimedia.org/r/587425

DannyS712 closed this task as Resolved.Apr 10 2020, 1:36 AM
DannyS712 updated the task description. (Show Details)
Aklapper edited projects, added Analytics-Radar; removed Analytics.Wed, Jun 10, 6:44 AM